/* Element Chalk Variables */
.el-image-viewer__wrapper {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.el-image-viewer__wrapper:focus {
  outline: none !important;
}

.el-image-viewer__btn {
  position: absolute;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  opacity: 0.8;
  cursor: pointer;
  box-sizing: border-box;
  -webkit-user-select: none;
          user-select: none;
}
.el-image-viewer__btn .el-icon {
  cursor: pointer;
}

.el-image-viewer__close {
  top: 40px;
  right: 40px;
  width: 40px;
  height: 40px;
  font-size: 40px;
}

.el-image-viewer__canvas {
  position: static;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  -webkit-user-select: none;
          user-select: none;
}

.el-image-viewer__actions {
  left: 50%;
  bottom: 30px;
  transform: translateX(-50%);
  height: 44px;
  padding: 0 23px;
  background-color: var(--el-text-color-regular);
  border-color: #fff;
  border-radius: 22px;
}
.el-image-viewer__actions__inner {
  width: 100%;
  height: 100%;
  cursor: default;
  font-size: 23px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 22px;
  padding: 0 6px;
}
.el-image-viewer__actions__divider {
  margin: 0 -6px;
}

.el-image-viewer__progress {
  left: 50%;
  transform: translateX(-50%);
  cursor: default;
  color: #fff;
  bottom: 90px;
}

.el-image-viewer__prev {
  top: 50%;
  transform: translateY(-50%);
  left: 40px;
  width: 44px;
  height: 44px;
  font-size: 24px;
  color: #fff;
  background-color: var(--el-text-color-regular);
  border-color: #fff;
}

.el-image-viewer__next {
  top: 50%;
  transform: translateY(-50%);
  right: 40px;
  text-indent: 2px;
  width: 44px;
  height: 44px;
  font-size: 24px;
  color: #fff;
  background-color: var(--el-text-color-regular);
  border-color: #fff;
}

.el-image-viewer__close {
  width: 44px;
  height: 44px;
  font-size: 24px;
  color: #fff;
  background-color: var(--el-text-color-regular);
  border-color: #fff;
}

.el-image-viewer__mask {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.5;
  background: #000;
}

.el-image-viewer-parent--hidden {
  overflow: hidden;
}

.viewer-fade-enter-active {
  animation: viewer-fade-in var(--el-transition-duration);
}

.viewer-fade-leave-active {
  animation: viewer-fade-out var(--el-transition-duration);
}

@keyframes viewer-fade-in {
  0% {
    transform: translate3d(0, -20px, 0);
    opacity: 0;
  }
  100% {
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}
@keyframes viewer-fade-out {
  0% {
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
  100% {
    transform: translate3d(0, -20px, 0);
    opacity: 0;
  }
}